#version 330

in vec3 position;
in vec3 normal;
in vec2 uv;
out vec2 uv_p;

uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;
uniform mat4 modelMatrix;

void main(void) {
	gl_Position = projectionMatrix * viewMatrix * modelMatrix * vec4(position, 1.0);

	uv_p = vec2(clamp(uv.x + normal.x, 0.0, 1.0), uv.y);
}
